Summary: The Courier IMAP server
Name: courier-imap
Version: 4.5.1
Release: 2%{?dist}
License: GPL+
Group: System/Servers
URL: http://sourceforge.net/projects/courier/
Source0: http://downloads.sourceforge.net/project/courier/imap/%{version}/%{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: courier-authlib-devel courier-authlib

%description
This package contains the standalone Courier IMAP server, which is used to provide IMAP access 
to local mailboxes. Courier-IMAP is provided here as a separate package that can be used with 
other mail servers as well.

%prep
%setup -q

%build
%configure

%install
%{__rm} -rf $RPM_BUILD_ROOT
%{__make} DESTDIR=$RPM_BUILD_ROOT install
find $RPM_BUILD_ROOT%{_sysconfdir} -type f -exec chmod 600 {} \;

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc COPYING README INSTALL ChangeLog
%attr(0600,root,root) %{_sysconfdir}/imapd-ssl.dist
%attr(0600,root,root) %config(noreplace) %{_sysconfdir}/imapd.cnf
%attr(0600,root,root) %{_sysconfdir}/imapd.dist
%attr(0600,root,root) %{_sysconfdir}/pop3d-ssl.dist
%attr(0600,root,root) %config(noreplace) %{_sysconfdir}/pop3d.cnf
%attr(0600,root,root) %{_sysconfdir}/pop3d.dist
%attr(0600,root,root) %{_sysconfdir}/quotawarnmsg.example

%{_bindir}/couriertls
%{_bindir}/deliverquota
%{_bindir}/imapd
%{_bindir}/maildiracl
%{_bindir}/maildirkw
%{_bindir}/maildirmake
%{_bindir}/pop3d

%{_libexecdir}/couriertcpd
%{_libexecdir}/imapd-ssl.rc
%{_libexecdir}/imapd.rc
%{_libexecdir}/makedatprog
%{_libexecdir}/pop3d-ssl.rc
%{_libexecdir}/pop3d.rc

%{_sbindir}/imaplogin
%{_sbindir}/mkimapdcert
%{_sbindir}/mkpop3dcert
%{_sbindir}/pop3login
%{_sbindir}/sharedindexinstall
%{_sbindir}/sharedindexsplit

%{_mandir}/man1/couriertcpd.1.gz
%{_mandir}/man1/maildiracl.1.gz
%{_mandir}/man1/maildirkw.1.gz
%{_mandir}/man1/maildirmake.1.gz
%{_mandir}/man8/deliverquota.8.gz
%{_mandir}/man8/imapd.8.gz
%{_mandir}/man8/mkimapdcert.8.gz
%{_mandir}/man8/mkpop3dcert.8.gz

%{_datadir}/mkimapdcert
%{_datadir}/mkpop3dcert

%changelog
* Tue Aug 18 2009 Aldrey Galindo <aldreygalindo@gmail.com> - 4.5.1-2
- Fix attr in package

* Mon Jul 27 2009 Aldrey Galindo <aldreygalindo@gmail.com> - 4.5.1-1
- Initial version

